Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 4647)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 4648)
@@ -1593,81 +1530,57 @@
        CALL inquire_variable_names( pids_id, vars_pids )
 !
-!--    Input roughness length. 
+!--    Input roughness length.
        IF ( check_existence( vars_pids, 'z0' ) )  THEN
 !
 !--       Read _FillValue attribute
-          CALL get_attribute( pids_id, char_fill, tmp_2d%fill,          &
-                              .FALSE., 'z0' )                                  
-!                                                                              
-!--       Read variable                                                        
-          CALL get_variable( pids_id, 'z0', tmp_2d%var,                 &
-                             nxl, nxr, nys, nyn )                              
-!                                                                              
-!--       Initialize roughness length. Note, z0 will be only initialized at    
-!--       default-type surfaces. At natural or urban z0 is implicitly          
-!--       initialized by the respective parameter lists.                        
-!--       Initialize horizontal surface elements.                              
-          CALL init_single_surface_properties( surf_def_h(0)%z0,               &
-                                               tmp_2d%var,                     &
-                                               surf_def_h(0)%ns,               &
-                                               tmp_2d%fill,                    &
-                                               surf_def_h(0)%i,                &
-                                               surf_def_h(0)%j )               
-!                                                                              
-!--       Initialize roughness also at vertical surface elements.              
-!--       Note, the actual 2D input arrays are only defined on the             
-!--       subdomain. Therefore, pass the index arrays with their respective    
-!--       offset values.                                                       
-          DO  l = 0, 3                                                         
-             CALL init_single_surface_properties(                              &
-                                         surf_def_v(l)%z0,                     &
-                                         tmp_2d%var,                           &
-                                         surf_def_v(l)%ns,                     &
-                                         tmp_2d%fill,                          &
-                                         surf_def_v(l)%i + surf_def_v(l)%ioff, &
-                                         surf_def_v(l)%j + surf_def_v(l)%joff )
+          CALL get_attribute( pids_id, char_fill, tmp_2d%fill, .FALSE., 'z0' )
+!
+!--       Read variable
+          CALL get_variable( pids_id, 'z0', tmp_2d%var, nxl, nxr, nys, nyn )
+!
+!--       Initialize roughness length. Note, z0 will be only initialized at default-type surfaces.
+!--       At natural or urban z0 is implicitly initialized by the respective parameter lists.
+!--       Initialize horizontal surface elements.
+          CALL init_single_surface_properties( surf_def_h(0)%z0, tmp_2d%var, surf_def_h(0)%ns,     &
+                                               tmp_2d%fill, surf_def_h(0)%i, surf_def_h(0)%j )
+!
+!--       Initialize roughness also at vertical surface elements.
+!--       Note, the actual 2D input arrays are only defined on the subdomain. Therefore, pass the
+!--       index arrays with their respective offset values.
+          DO  l = 0, 3
+             CALL init_single_surface_properties( surf_def_v(l)%z0, tmp_2d%var, surf_def_v(l)%ns,  &
+                                                  tmp_2d%fill, surf_def_v(l)%i+surf_def_v(l)%ioff, &
+                                                  surf_def_v(l)%j+surf_def_v(l)%joff )
           ENDDO
-          
-       ENDIF
-!
-!--    Input surface sensible heat flux. 
+
+       ENDIF
+!
+!--    Input surface sensible heat flux.
        IF ( check_existence( vars_pids, 'shf' ) )  THEN
 !
 !--       Read _FillValue attribute
-          CALL get_attribute( pids_id, char_fill, tmp_2d%fill,                 &
-                              .FALSE., 'shf' )
+          CALL get_attribute( pids_id, char_fill, tmp_2d%fill, .FALSE., 'shf' )
 !
 !--       Read variable
-          CALL get_variable( pids_id, 'shf', tmp_2d%var,                       &
-                             nxl, nxr, nys, nyn )
-!
-!--       Initialize heat flux. Note, shf will be only initialized at
-!--       default-type surfaces. At natural or urban shf is implicitly
-!--       initialized by the respective parameter lists.
+          CALL get_variable( pids_id, 'shf', tmp_2d%var, nxl, nxr, nys, nyn )
+!
+!--       Initialize heat flux. Note, shf will be only initialized at default-type surfaces. At
+!--       natural or urban shf is implicitly initialized by the respective parameter lists.
 !--       Initialize horizontal surface elements.
-          CALL init_single_surface_properties( surf_def_h(0)%shf,              &
-                                               tmp_2d%var,                     &
-                                               surf_def_h(0)%ns,               &
-                                               tmp_2d%fill,                    &
-                                               surf_def_h(0)%i,                &
-                                               surf_def_h(0)%j )
+          CALL init_single_surface_properties( surf_def_h(0)%shf, tmp_2d%var, surf_def_h(0)%ns,    &
+                                               tmp_2d%fill, surf_def_h(0)%i, surf_def_h(0)%j )
 !
 !--       Initialize heat flux also at vertical surface elements.
-!--       Note, the actual 2D input arrays are only defined on the
-!--       subdomain. Therefore, pass the index arrays with their respective
-!--       offset values.
+!--       Note, the actual 2D input arrays are only defined on the subdomain. Therefore, pass the
+!--       index arrays with their respective offset values.
           DO  l = 0, 3
-             CALL init_single_surface_properties(                              &
-                                         surf_def_v(l)%shf,                    &
-                                         tmp_2d%var,                           &
-                                         surf_def_v(l)%ns,                     &
-                                         tmp_2d%fill,                          &
-                                         surf_def_v(l)%i + surf_def_v(l)%ioff, &
-                                         surf_def_v(l)%j + surf_def_v(l)%joff )
+             CALL init_single_surface_properties( surf_def_v(l)%shf, tmp_2d%var, surf_def_v(l)%ns, &
+                                                  tmp_2d%fill, surf_def_v(l)%i+surf_def_v(l)%ioff, &
+                                                  surf_def_v(l)%j+surf_def_v(l)%joff )
           ENDDO
 
        ENDIF
 !
-!--    Input surface sensible heat flux. 
+!--    Input surface sensible heat flux.
        IF ( check_existence( vars_pids, 'qsws' ) )  THEN
 !
@@ -1680,32 +1593,22 @@
                              nxl, nxr, nys, nyn )
 !
-!--       Initialize latent heat flux. Note, qsws will be only initialized at
-!--       default-type surfaces. At natural or urban qsws is implicitly
-!--       initialized by the respective parameter lists.
+!--       Initialize latent heat flux. Note, qsws will be only initialized at default-type surfaces.
+!--       At natural or urban qsws is implicitly initialized by the respective parameter lists.
 !--       Initialize horizontal surface elements.
-          CALL init_single_surface_properties( surf_def_h(0)%qsws,             &
-                                               tmp_2d%var,                     &
-                                               surf_def_h(0)%ns,               &
-                                               tmp_2d%fill,                    &
-                                               surf_def_h(0)%i,                &
-                                               surf_def_h(0)%j )
+          CALL init_single_surface_properties( surf_def_h(0)%qsws, tmp_2d%var, surf_def_h(0)%ns,   &
+                                               tmp_2d%fill, surf_def_h(0)%i, surf_def_h(0)%j )
 !
 !--       Initialize latent heat flux also at vertical surface elements.
-!--       Note, the actual 2D input arrays are only defined on the
-!--       subdomain. Therefore, pass the index arrays with their respective
-!--       offset values.
+!--       Note, the actual 2D input arrays are only defined on the subdomain. Therefore, pass the
+!--       index arrays with their respective offset values.
           DO  l = 0, 3
-             CALL init_single_surface_properties(                              &
-                                         surf_def_v(l)%qsws,                   &
-                                         tmp_2d%var,                           &
-                                         surf_def_v(l)%ns,                     &
-                                         tmp_2d%fill,                          &
-                                         surf_def_v(l)%i + surf_def_v(l)%ioff, &
-                                         surf_def_v(l)%j + surf_def_v(l)%joff )
+             CALL init_single_surface_properties( surf_def_v(l)%qsws, tmp_2d%var, surf_def_v(l)%ns,&
+                                                  tmp_2d%fill, surf_def_v(l)%i+surf_def_v(l)%ioff, &
+                                                  surf_def_v(l)%j+surf_def_v(l)%joff )
           ENDDO
 
        ENDIF
 !
-!--    Additional variables, can be initialized the 
+!--    Additional variables, can be initialized the
 !--    same way.
 
@@ -1713,5 +1616,5 @@
 !--    Finally, close the input file and deallocate temporary arrays
        DEALLOCATE( vars_pids )
-       
+
        CALL close_input_file( pids_id )
 #endif
@@ -1719,15 +1622,12 @@
     ENDIF
 !
-!-- Finally, if random_heatflux is set, disturb shf at horizontal
-!-- surfaces. Actually, this should be done in surface_mod, where all other 
-!-- initializations of surface quantities are done. However, this
-!-- would create a ring dependency, hence, it is done here. Maybe delete
-!-- disturb_heatflux and tranfer the respective code directly into the 
-!-- initialization in surface_mod.         
-    IF ( TRIM( initializing_actions ) /= 'read_restart_data'  .AND.            &
+!-- Finally, if random_heatflux is set, disturb shf at horizontal surfaces. Actually, this should be
+!-- done in surface_mod, where all other initializations of surface quantities are done. However,
+!-- this would create a ring dependency, hence, it is done here. Maybe delete disturb_heatflux and
+!-- tranfer the respective code directly into the initialization in surface_mod.
+    IF ( TRIM( initializing_actions ) /= 'read_restart_data'  .AND.                                &
          TRIM( initializing_actions ) /= 'cyclic_fill' )  THEN
- 
-       IF ( use_surface_fluxes  .AND.  constant_heatflux  .AND.                &
-            random_heatflux )  THEN
+
+       IF ( use_surface_fluxes  .AND.  constant_heatflux  .AND.  random_heatflux )  THEN
           IF ( surf_def_h(0)%ns >= 1 )  CALL disturb_heatflux( surf_def_h(0) )
           IF ( surf_lsm_h%ns    >= 1 )  CALL disturb_heatflux( surf_lsm_h    )
@@ -1737,9 +1637,8 @@
 
 !
-!-- Compute total sum of grid points and the mean surface level height for each
-!-- statistic region. These are mainly used for horizontal averaging of
-!-- turbulence statistics.
-!-- ngp_2dh: number of grid points of a horizontal cross section through the
-!--          respective statistic region
+!-- Compute total sum of grid points and the mean surface level height for each statistic region.
+!-- These are mainly used for horizontal averaging of turbulence statistics.
+!-- ngp_2dh: number of grid points of a horizontal cross section through the respective statistic
+!--          region
 !-- ngp_3d:  number of grid points of the respective statistic region
     ngp_2dh_outer_l   = 0
@@ -1766,27 +1665,21 @@
                 ngp_2dh_l(sr) = ngp_2dh_l(sr) + 1
 !
-!--             Determine mean surface-level height. In case of downward-
-!--             facing walls are present, more than one surface level exist.
-!--             In this case, use the lowest surface-level height. 
-                IF ( surf_def_h(0)%start_index(j,i) <=                         &
-                     surf_def_h(0)%end_index(j,i) )  THEN
+!--             Determine mean surface-level height. In case of downward-facing walls are present,
+!--             more than one surface level exist.
+!--             In this case, use the lowest surface-level height.
+                IF ( surf_def_h(0)%start_index(j,i) <= surf_def_h(0)%end_index(j,i) )  THEN
                    m = surf_def_h(0)%start_index(j,i)
                    k = surf_def_h(0)%k(m)
-                   mean_surface_level_height_l(sr) =                           &
-                                       mean_surface_level_height_l(sr) + zw(k-1)
+                   mean_surface_level_height_l(sr) = mean_surface_level_height_l(sr) + zw(k-1)
                 ENDIF
-                IF ( surf_lsm_h%start_index(j,i) <=                            &
-                     surf_lsm_h%end_index(j,i) )  THEN
+                IF ( surf_lsm_h%start_index(j,i) <= surf_lsm_h%end_index(j,i) )  THEN
                    m = surf_lsm_h%start_index(j,i)
                    k = surf_lsm_h%k(m)
-                   mean_surface_level_height_l(sr) =                           &
-                                       mean_surface_level_height_l(sr) + zw(k-1)
+                   mean_surface_level_height_l(sr) = mean_surface_level_height_l(sr) + zw(k-1)
                 ENDIF
-                IF ( surf_usm_h%start_index(j,i) <=                            &
-                     surf_usm_h%end_index(j,i) )  THEN
+                IF ( surf_usm_h%start_index(j,i) <= surf_usm_h%end_index(j,i) )  THEN
                    m = surf_usm_h%start_index(j,i)
                    k = surf_usm_h%k(m)
-                   mean_surface_level_height_l(sr) =                           &
-                                       mean_surface_level_height_l(sr) + zw(k-1)
+                   mean_surface_level_height_l(sr) = mean_surface_level_height_l(sr) + zw(k-1)
                 ENDIF
 
@@ -1796,9 +1689,9 @@
 !
 !--                xy-grid points above topography
-                   ngp_2dh_outer_l(k,sr) = ngp_2dh_outer_l(k,sr)     +         &
-                             MERGE( 1, 0, BTEST( wall_flags_total_0(k,j,i), 24 ) )
-
-                   ngp_2dh_s_inner_l(k,sr) = ngp_2dh_s_inner_l(k,sr) +         &
-                             MERGE( 1, 0, BTEST( wall_flags_total_0(k,j,i), 22 ) )
+                   ngp_2dh_outer_l(k,sr) = ngp_2dh_outer_l(k,sr)     +                             &
+                                           MERGE( 1, 0, BTEST( wall_flags_total_0(k,j,i), 24 ) )
+
+                   ngp_2dh_s_inner_l(k,sr) = ngp_2dh_s_inner_l(k,sr) +                             &
+                                             MERGE( 1, 0, BTEST( wall_flags_total_0(k,j,i), 22 ) )
 
                 ENDDO
@@ -1817,19 +1710,17 @@
 #if defined( __parallel )
     IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-    CALL MPI_ALLREDUCE( ngp_2dh_l(0), ngp_2dh(0), sr, MPI_INTEGER, MPI_SUM,    &
+    CALL MPI_ALLREDUCE( ngp_2dh_l(0), ngp_2dh(0), sr, MPI_INTEGER, MPI_SUM, comm2d, ierr )
+    IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
+    CALL MPI_ALLREDUCE( ngp_2dh_outer_l(0,0), ngp_2dh_outer(0,0), (nz+2)*sr, MPI_INTEGER, MPI_SUM, &
                         comm2d, ierr )
     IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-    CALL MPI_ALLREDUCE( ngp_2dh_outer_l(0,0), ngp_2dh_outer(0,0), (nz+2)*sr,   &
-                        MPI_INTEGER, MPI_SUM, comm2d, ierr )
+    CALL MPI_ALLREDUCE( ngp_2dh_s_inner_l(0,0), ngp_2dh_s_inner(0,0), (nz+2)*sr, MPI_INTEGER,      &
+                        MPI_SUM, comm2d, ierr )
     IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-    CALL MPI_ALLREDUCE( ngp_2dh_s_inner_l(0,0), ngp_2dh_s_inner(0,0),          &
-                        (nz+2)*sr, MPI_INTEGER, MPI_SUM, comm2d, ierr )
-    IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-    CALL MPI_ALLREDUCE( ngp_3d_inner_l(0), ngp_3d_inner_tmp(0), sr, MPI_REAL,  &
-                        MPI_SUM, comm2d, ierr )
+    CALL MPI_ALLREDUCE( ngp_3d_inner_l(0), ngp_3d_inner_tmp(0), sr, MPI_REAL, MPI_SUM, comm2d,     &
+                        ierr )
     ngp_3d_inner = INT( ngp_3d_inner_tmp, KIND = SELECTED_INT_KIND( 18 ) )
     IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-    CALL MPI_ALLREDUCE( mean_surface_level_height_l(0),                        &
-                        mean_surface_level_height(0), sr, MPI_REAL,            &
+    CALL MPI_ALLREDUCE( mean_surface_level_height_l(0), mean_surface_level_height(0), sr, MPI_REAL,&
                         MPI_SUM, comm2d, ierr )
     mean_surface_level_height = mean_surface_level_height / REAL( ngp_2dh )
@@ -1842,21 +1733,20 @@
 #endif
 
-    ngp_3d = INT ( ngp_2dh, KIND = SELECTED_INT_KIND( 18 ) ) * &
+    ngp_3d = INT ( ngp_2dh, KIND = SELECTED_INT_KIND( 18 ) ) *                                     &
              INT ( (nz + 2 ), KIND = SELECTED_INT_KIND( 18 ) )
 
 !
-!-- Set a lower limit of 1 in order to avoid zero divisions in flow_statistics,
-!-- buoyancy, etc. A zero value will occur for cases where all grid points of
-!-- the respective subdomain lie below the surface topography
-    ngp_2dh_outer   = MAX( 1, ngp_2dh_outer(:,:)   ) 
-    ngp_3d_inner    = MAX( INT(1, KIND = SELECTED_INT_KIND( 18 )),             &
-                           ngp_3d_inner(:) )
-    ngp_2dh_s_inner = MAX( 1, ngp_2dh_s_inner(:,:) ) 
-
-    DEALLOCATE( mean_surface_level_height_l, ngp_2dh_l, ngp_2dh_outer_l,       &
-                ngp_3d_inner_l, ngp_3d_inner_tmp )
-
-!
-!-- Initializae 3D offline nesting in COSMO model and read data from 
+!-- Set a lower limit of 1 in order to avoid zero divisions in flow_statistics, buoyancy, etc. A
+!-- zero value will occur for cases where all grid points of the respective subdomain lie below the
+!-- surface topography
+    ngp_2dh_outer   = MAX( 1, ngp_2dh_outer(:,:)   )
+    ngp_3d_inner    = MAX( INT(1, KIND = SELECTED_INT_KIND( 18 )), ngp_3d_inner(:) )
+    ngp_2dh_s_inner = MAX( 1, ngp_2dh_s_inner(:,:) )
+
+    DEALLOCATE( mean_surface_level_height_l, ngp_2dh_l, ngp_2dh_outer_l, ngp_3d_inner_l,           &
+                ngp_3d_inner_tmp )
+
+!
+!-- Initializae 3D offline nesting in COSMO model and read data from
 !-- external NetCDF file.
     IF ( nesting_offline )  CALL nesting_offl_init
@@ -1868,9 +1758,11 @@
 !-- Impose random perturbation on the horizontal velocity field and then
 !-- remove the divergences from the velocity field at the initial stage
-    IF ( create_disturbances  .AND.  disturbance_energy_limit /= 0.0_wp  .AND. &
-         TRIM( initializing_actions ) /= 'read_restart_data'  .AND.            &
+    IF ( create_disturbances  .AND.  disturbance_energy_limit /= 0.0_wp  .AND.                     &
+         TRIM( initializing_actions ) /= 'read_restart_data'  .AND.                                &
          TRIM( initializing_actions ) /= 'cyclic_fill' )  THEN
 
-       IF ( debug_output )  CALL debug_message( 'creating disturbances + applying pressure solver', 'start' )
+       IF ( debug_output )  THEN
+          CALL debug_message( 'creating disturbances + applying pressure solver', 'start' )
+       ENDIF
 !
 !--    Needed for both disturb_field and pres
@@ -1905,5 +1797,7 @@
 !$ACC END DATA
 
-       IF ( debug_output )  CALL debug_message( 'creating disturbances + applying pressure solver', 'end' )
+       IF ( debug_output )  THEN
+          CALL debug_message( 'creating disturbances + applying pressure solver', 'end' )
+       ENDIF
 
     ENDIF
@@ -1918,7 +1812,7 @@
 !--    Check temperature in case of too large domain height
        DO  k = nzb, nzt+1
-          IF ( ( pt_surface * exner_function(surface_pressure * 100.0_wp) - g/c_p * zu(k) ) < 0.0_wp )  THEN
-             WRITE( message_string, * )  'absolute temperature < 0.0 at zu(', k, &
-                                         ') = ', zu(k)
+          IF ( ( pt_surface * exner_function( surface_pressure * 100.0_wp ) - g/c_p * zu(k) )      &
+                 < 0.0_wp )  THEN
+             WRITE( message_string, * )  'absolute temperature < 0.0 at zu(', k, ') = ', zu(k)
              CALL message( 'init_3d_model', 'PA0142', 1, 2, 0, 6, 0 )
           ENDIF
@@ -1927,11 +1821,13 @@
 !
 !--    Calculate vertical profile of the hydrostatic pressure (hyp)
-       hyp    = barometric_formula(zu, pt_surface * exner_function(surface_pressure * 100.0_wp), surface_pressure * 100.0_wp)
-       d_exner = exner_function_invers(hyp)
-       exner = 1.0_wp / exner_function_invers(hyp)
-       hyrho  = ideal_gas_law_rho_pt(hyp, pt_init)
+       hyp    = barometric_formula( zu, pt_surface * exner_function( surface_pressure * 100.0_wp ),&
+                                    surface_pressure * 100.0_wp )
+       d_exner = exner_function_invers( hyp )
+       exner = 1.0_wp / exner_function_invers( hyp )
+       hyrho  = ideal_gas_law_rho_pt( hyp, pt_init )
 !
 !--    Compute reference density
-       rho_surface = ideal_gas_law_rho(surface_pressure * 100.0_wp, pt_surface * exner_function(surface_pressure * 100.0_wp))
+       rho_surface = ideal_gas_law_rho( surface_pressure * 100.0_wp,                               &
+                                        pt_surface * exner_function( surface_pressure * 100.0_wp ) )
 
     ENDIF
@@ -1947,6 +1843,5 @@
     CALL module_interface_init
 !
-!-- Initialize surface layer (done after LSM as roughness length are required
-!-- for initialization
+!-- Initialize surface layer (done after LSM as roughness length are required for initialization
     IF ( constant_flux_layer )  CALL init_surface_layer_fluxes
 !
@@ -1954,6 +1849,6 @@
     IF ( surface_output )  CALL surface_data_output_init
 !
-!-- Initialize the ws-scheme.    
-    IF ( ws_scheme_sca .OR. ws_scheme_mom )  CALL ws_init
+!-- Initialize the ws-scheme.
+    IF ( ws_scheme_sca  .OR.  ws_scheme_mom )  CALL ws_init
 !
 !-- Perform post-initializing checks for all other modules
@@ -1961,15 +1856,15 @@
 
 !
-!-- Initialize surface forcing corresponding to large-scale forcing. Therein, 
+!-- Initialize surface forcing corresponding to large-scale forcing. Therein,
 !-- initialize heat-fluxes, etc. via datatype. Revise it later!
-    IF ( large_scale_forcing .AND. lsf_surf )  THEN
+    IF ( large_scale_forcing  .AND.  lsf_surf )  THEN
        IF ( use_surface_fluxes  .AND.  constant_heatflux )  THEN
-          CALL ls_forcing_surf ( simulated_time )
-       ENDIF
-    ENDIF
-!
-!-- Setting weighting factors for calculation of perturbation pressure 
-!-- and turbulent quantities from the RK substeps
-    IF ( TRIM(timestep_scheme) == 'runge-kutta-3' )  THEN      ! for RK3-method
+          CALL ls_forcing_surf( simulated_time )
+       ENDIF
+    ENDIF
+!
+!-- Setting weighting factors for calculation of perturbation pressure and turbulent quantities from
+!-- the RK substeps.
+    IF ( TRIM( timestep_scheme ) == 'runge-kutta-3' )  THEN      ! for RK3-method
 
        weight_substep(1) = 1._wp/6._wp
@@ -1981,16 +1876,16 @@
        weight_pres(3)    = 1._wp/4._wp
 
-    ELSEIF ( TRIM(timestep_scheme) == 'runge-kutta-2' )  THEN  ! for RK2-method
+    ELSEIF ( TRIM( timestep_scheme ) == 'runge-kutta-2' )  THEN  ! for RK2-method
 
        weight_substep(1) = 1._wp/2._wp
        weight_substep(2) = 1._wp/2._wp
-          
+
        weight_pres(1)    = 1._wp/2._wp
-       weight_pres(2)    = 1._wp/2._wp        
+       weight_pres(2)    = 1._wp/2._wp
 
     ELSE                                     ! for Euler-method
 
-       weight_substep(1) = 1.0_wp      
-       weight_pres(1)    = 1.0_wp                   
+       weight_substep(1) = 1.0_wp
+       weight_pres(1)    = 1.0_wp
 
     ENDIF
@@ -2005,20 +1900,19 @@
           DO  k = nzb+1, nzt
              IF ( zu(k) >= rayleigh_damping_height )  THEN
-                rdf(k) = rayleigh_damping_factor *                             &
-                      ( SIN( pi * 0.5_wp * ( zu(k) - rayleigh_damping_height ) &
-                             / ( zu(nzt) - rayleigh_damping_height ) )         &
-                      )**2
+                rdf(k) = rayleigh_damping_factor *                                                 &
+                         ( SIN( pi * 0.5_wp * ( zu(k) - rayleigh_damping_height )                  &
+                                / ( zu(nzt) - rayleigh_damping_height ) )                          &
+                         )**2
              ENDIF
           ENDDO
        ELSE
 !
-!--       In ocean mode, rayleigh damping is applied in the lower part of the
-!--       model domain
+!--       In ocean mode, rayleigh damping is applied in the lower part of the model domain
           DO  k = nzt, nzb+1, -1
              IF ( zu(k) <= rayleigh_damping_height )  THEN
-                rdf(k) = rayleigh_damping_factor *                             &
-                      ( SIN( pi * 0.5_wp * ( rayleigh_damping_height - zu(k) ) &
-                             / ( rayleigh_damping_height - zu(nzb+1) ) )       &
-                      )**2
+                rdf(k) = rayleigh_damping_factor *                                                 &
+                         ( SIN( pi * 0.5_wp * ( rayleigh_damping_height - zu(k) )                  &
+                                / ( rayleigh_damping_height - zu(nzb+1) ) )                        &
+                         )**2
              ENDIF
           ENDDO
@@ -2029,14 +1923,13 @@
 
 !
-!-- Initialize the starting level and the vertical smoothing factor used for 
-!-- the external pressure gradient
+!-- Initialize the starting level and the vertical smoothing factor used for the external pressure
+!-- gradient
     dp_smooth_factor = 1.0_wp
     IF ( dp_external )  THEN
 !
-!--    Set the starting level dp_level_ind_b only if it has not been set before
-!--    (e.g. in init_grid).
+!--    Set the starting level dp_level_ind_b only if it has not been set before (e.g. in init_grid).
        IF ( dp_level_ind_b == 0 )  THEN
           ind_array = MINLOC( ABS( dp_level_b - zu ) )
-          dp_level_ind_b = ind_array(1) - 1 + nzb 
+          dp_level_ind_b = ind_array(1) - 1 + nzb
                                         ! MINLOC uses lower array bound 1
        ENDIF
@@ -2044,7 +1937,7 @@
           dp_smooth_factor(:dp_level_ind_b) = 0.0_wp
           DO  k = dp_level_ind_b+1, nzt
-             dp_smooth_factor(k) = 0.5_wp * ( 1.0_wp + SIN( pi *               &
-                        ( REAL( k - dp_level_ind_b, KIND=wp ) /                &
-                          REAL( nzt - dp_level_ind_b, KIND=wp ) - 0.5_wp ) ) )
+             dp_smooth_factor(k) = 0.5_wp * ( 1.0_wp + SIN( pi *                                   &
+                                             ( REAL( k - dp_level_ind_b, KIND=wp ) /               &
+                                               REAL( nzt - dp_level_ind_b, KIND=wp ) - 0.5_wp ) ) )
           ENDDO
        ENDIF
@@ -2052,7 +1945,7 @@
 
 !
-!-- Initialize damping zone for the potential temperature in case of
-!-- non-cyclic lateral boundaries. The damping zone has the maximum value 
-!-- at the inflow boundary and decreases to zero at pt_damping_width.
+!-- Initialize damping zone for the potential temperature in case of non-cyclic lateral boundaries.
+!-- The damping zone has the maximum value at the inflow boundary and decreases to zero at
+!-- pt_damping_width.
     ptdf_x = 0.0_wp
     ptdf_y = 0.0_wp
@@ -2060,34 +1953,31 @@
        DO  i = nxl, nxr
           IF ( ( i * dx ) < pt_damping_width )  THEN
-             ptdf_x(i) = pt_damping_factor * ( SIN( pi * 0.5_wp *              &
-                            REAL( pt_damping_width - i * dx, KIND=wp ) / (     &
-                            REAL( pt_damping_width, KIND=wp ) ) ) )**2 
-          ENDIF
+             ptdf_x(i) = pt_damping_factor * ( SIN( pi * 0.5_wp *                                  &
+                                                    REAL( pt_damping_width - i * dx, KIND=wp ) /   &
+                                                    REAL( pt_damping_width, KIND=wp ) ) )**2
+                                  ENDIF
        ENDDO
     ELSEIF ( bc_lr_raddir )  THEN
        DO  i = nxl, nxr
           IF ( ( i * dx ) > ( nx * dx - pt_damping_width ) )  THEN
-             ptdf_x(i) = pt_damping_factor *                                   &
-                         SIN( pi * 0.5_wp *                                    &
-                                 ( ( i - nx ) * dx + pt_damping_width ) /      &
-                                 REAL( pt_damping_width, KIND=wp ) )**2
-          ENDIF
-       ENDDO 
+             ptdf_x(i) = pt_damping_factor * SIN( pi * 0.5_wp *                                    &
+                                                  ( ( i - nx ) * dx + pt_damping_width ) /         &
+                                                  REAL( pt_damping_width, KIND=wp ) )**2
+          ENDIF
+       ENDDO
     ELSEIF ( bc_ns_dirrad )  THEN
        DO  j = nys, nyn
           IF ( ( j * dy ) > ( ny * dy - pt_damping_width ) )  THEN
-             ptdf_y(j) = pt_damping_factor *                                   &
-                         SIN( pi * 0.5_wp *                                    &
-                                 ( ( j - ny ) * dy + pt_damping_width ) /      &
-                                 REAL( pt_damping_width, KIND=wp ) )**2
-          ENDIF
-       ENDDO 
+             ptdf_y(j) = pt_damping_factor * SIN( pi * 0.5_wp *                                    &
+                                                  ( ( j - ny ) * dy + pt_damping_width ) /         &
+                                                  REAL( pt_damping_width, KIND=wp ) )**2
+          ENDIF
+       ENDDO
     ELSEIF ( bc_ns_raddir )  THEN
        DO  j = nys, nyn
           IF ( ( j * dy ) < pt_damping_width )  THEN
-             ptdf_y(j) = pt_damping_factor *                                   &
-                         SIN( pi * 0.5_wp *                                    &
-                                ( pt_damping_width - j * dy ) /                &
-                                REAL( pt_damping_width, KIND=wp ) )**2
+             ptdf_y(j) = pt_damping_factor * SIN( pi * 0.5_wp *                                    &
+                                                  ( pt_damping_width - j * dy ) /                  &
+                                                  REAL( pt_damping_width, KIND=wp ) )**2
           ENDIF
        ENDDO
@@ -2095,10 +1985,9 @@
 
 !
-!-- Input binary data file is not needed anymore. This line must be placed
-!-- after call of user_init!
+!-- Input binary data file is not needed anymore. This line must be placed after call of user_init!
     CALL close_file( 13 )
 !
-!-- In case of nesting, put an barrier to assure that all parent and child 
-!-- domains finished initialization. 
+!-- In case of nesting, put an barrier to assure that all parent and child domains finished
+!-- initialization.
 #if defined( __parallel )
     IF ( nested_run )  CALL MPI_BARRIER( MPI_COMM_WORLD, ierr )
